# MariaDB wichtigsten Befehle
Datenbank und Benutzer mit allen Rechten erstellen
```
CREATE DATABASE `Datenbankname`;
CREATE USER 'Benutzername'@'localhost' IDENTIFIED BY 'Password';
GRANT ALL privileges ON `Datenbankname`.* TO 'Benutzername'@localhost;
FLUSH PRIVILEGES;
```
Einstellungen überprüfen und Datenbank anzeigen lassen.
```
SHOW GRANTS FOR 'Benutzername'@localhost
```
Alle Datenbanken anzeigen lassen
```
SHOW DATABASES;
```
Alle Benutzer anzeigen lassen
```
SELECT User FROM mysql.user;
```
Datenbank und zugehörigen Benutzer löschen
```
REVOKE ALL PRIVILEGES, GRANT OPTION FROM 'bloguser'@'localhost';
DROP USER 'bloguser'@'localhost';
DROP DATABASE `databasename`;
